<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/modifyprop_ser.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>modifyprop_ser.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="magpario_8h_source.html">io/magpario.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for modifyprop_ser.c:</div>
<div class="dynsection">
<div class="center"><img src="modifyprop__ser_8c__incl.png" border="0" usemap="#init_2modifyprop__ser_8c_map" alt=""/></div>
<map name="init_2modifyprop__ser_8c_map" id="init_2modifyprop__ser_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="77,86,128,117"/><area shape="rect" id="node15" href="magpario_8h.html" title="io/magpario.h" alt="" coords="152,86,251,117"/><area shape="rect" id="node18" href="util_8h.html" title="util/util.h" alt="" coords="275,86,344,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="modifyprop__ser_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="modifyprop__ser_8c.html#a155bbdd0e9cc1c9194b91b08ca8162ac">ModifyPropSer</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a155bbdd0e9cc1c9194b91b08ca8162ac"></a><!-- doxytag: member="modifyprop_ser.c::ModifyPropSer" ref="a155bbdd0e9cc1c9194b91b08ca8162ac" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ModifyPropSer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="modifyprop__ser_8c_source.html#l00031">31</a> of file <a class="el" href="modifyprop__ser_8c_source.html">modifyprop_ser.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00104">C_BND</a>, <a class="el" href="griddata_8h_source.html#l00105">C_INT</a>, <a class="el" href="griddata_8h_source.html#l00106">C_UNK</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00095">NF</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="modifyprop__ser_8c_a155bbdd0e9cc1c9194b91b08ca8162ac_cgraph.png" border="0" usemap="#modifyprop__ser_8c_a155bbdd0e9cc1c9194b91b08ca8162ac_cgraph_map" alt=""></div>
<map name="modifyprop__ser_8c_a155bbdd0e9cc1c9194b91b08ca8162ac_cgraph_map" id="modifyprop__ser_8c_a155bbdd0e9cc1c9194b91b08ca8162ac_cgraph">
<area shape="rect" id="node3" href="mesh2dual_8c.html#a072403ed5e4bbd16fd845d52009d1270" title="Mesh2Dual" alt="" coords="164,58,249,89"/><area shape="rect" id="node9" href="magpario_8h.html#a59544353738dfce0bdce48409d9b3c8b" title="ReadKrn" alt="" coords="172,111,241,142"/><area shape="rect" id="node5" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="300,5,401,35"/><area shape="rect" id="node7" href="tettri_8c.html#aa5edf1170e954574fb88dff3cafac7c1" title="tetnb" alt="" coords="325,58,376,89"/><area shape="rect" id="node11" href="magpario_8h.html#a85c6fd604f4655acf9edea63969a5676" title="read_one_line" alt="" coords="300,111,401,142"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="modifyprop__ser_8c_a155bbdd0e9cc1c9194b91b08ca8162ac_icgraph.png" border="0" usemap="#modifyprop__ser_8c_a155bbdd0e9cc1c9194b91b08ca8162ac_icgraph_map" alt=""></div>
<map name="modifyprop__ser_8c_a155bbdd0e9cc1c9194b91b08ca8162ac_icgraph_map" id="modifyprop__ser_8c_a155bbdd0e9cc1c9194b91b08ca8162ac_icgraph">
<area shape="rect" id="node3" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="164,5,223,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="272,5,323,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

